import React, {Component} from 'react'
import PropTypes from 'prop-types'
import { Transfer } from 'antd'

import './index.scss'

class TransferForm extends Component {
  static propTypes = {
    menulist: PropTypes.array,
    onChange: PropTypes.func
  }

  state = {
    targetKeys: [],
    selectedKeys: []
  }

  handleChange = (nextTargetKeys, direction, moveKeys) => {
    this.setState({ targetKeys: nextTargetKeys })
    this.props.onChange(nextTargetKeys)
  }

  handleSelectChange = (sourceSelectedKeys, targetSelectedKeys) => {
    this.setState({ selectedKeys: [...sourceSelectedKeys, ...targetSelectedKeys] })
  }

  render() {
    const { targetKeys, selectedKeys } = this.state

    return (
      <div className="trawmenutransfer">
        <Transfer
          dataSource={this.props.menulist}
          targetKeys={targetKeys}
          selectedKeys={selectedKeys}
          onChange={this.handleChange}
          onSelectChange={this.handleSelectChange}
          render={item => item.title}
        />
      </div>
    )
  }
}

export default TransferForm
